curl -X GET "https://api.memanto.ai/agents/my-agent" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"agent_id": "my-agent",
"pattern": "tool",
"description": "Coding assistant memory",
"created_at": "2026-11-19T15:04:05.000Z",
"status": "ready",
"memory_count": 42
}
Agents
Get Agent
Get one agent and its memory count.
GET
/
agents
/
{agent_id}
curl -X GET "https://api.memanto.ai/agents/my-agent" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"agent_id": "my-agent",
"pattern": "tool",
"description": "Coding assistant memory",
"created_at": "2026-11-19T15:04:05.000Z",
"status": "ready",
"memory_count": 42
}
Overview
Returns one agent you own or that was shared with you. Returns404 if it doesn’t exist or you can’t use it.
Authentication
Your Memanto Cloud API key (
mk_...). See Authentication.Path Parameters
Query Parameters
curl -X GET "https://api.memanto.ai/agents/my-agent" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"agent_id": "my-agent",
"pattern": "tool",
"description": "Coding assistant memory",
"created_at": "2026-11-19T15:04:05.000Z",
"status": "ready",
"memory_count": 42
}